package cn.iocoder.yudao.module.order.enums;

public class OrderExceptionResult {

    //未报价
    public static final class ORDER_NO_QUOTE_EXCEPTION_RESULT {
        public static final String KEY = "order_no_quote_exception_result";
        public static final String PENDING = "pending";//待处理

        public static final String PROCESSED = "processed";//已处理
    }

    //多箱
    public static final class ORDER_SUPERFLUOUS_BOX_EXCEPTION_RESULT {
        public static final String KEY = "order_superfluous_box_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String CONFIRM_SEND_ERROR = "confirm_send_error";//确认送错
        public static final String CONFIRM_PHONE = "confirm_phone";//已通过客户来/去电确认
        public static final String CONFIRM_CORRECT = "confirm_correct";//送货数量准确
    }

    //少箱
    public static final class ORDER_LACK_BOX_EXCEPTION_RESULT {
        public static final String KEY = "order_lack_box_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String CONFIRM_COMPLETE = "confirm_complete";//确认为已齐
        public static final String CONFIRM_NO_COMPLETE = "confirm_no_complete";//确认为未齐
        public static final String CONFIRM_CORRECT = "confirm_correct";//送货数量准确
    }

    //需要预付
    public static final class ORDER_PAY_EXCEPTION_RESULT {
        public static final String KEY = "order_pay_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String NO_PAY = "no_pay";//不需要预付
        public static final String PAY_TOTAL_AMOUNT = "pay_total_amount";//已核销预付商品应收明细，超过订单总运费的80%
        public static final String PAY_TOTAL_FEE = "pay_total_fee";//预付商品货值小于订单总运费+清关费用33%
        public static final String PAY_VOLUME_SCALE = "pay_volume_scale";//预付商品总入仓方数小于订单所有商品总方数33%
        public static final String PAY_TOTAL_MIN = "pay_total_min";//订单下预付商品总方数小于0.5cbm
    }

    //货物丢失-处理中
    public static final class ORDER_MISS_EXCEPTION_RESULT {
        public static final String KEY = "order_miss_exception_result";
        public static final String CUSTOMS = "customs";//海关查验扣货
        public static final String WAREHOUSE_ERROR = "warehouse_error";//仓库清点失误
        public static final String WAREHOUSE_MISS = "warehouse_miss";//中国仓库漏装
        public static final String MAINFEST_ERROR = "mainfest_error";//manifest核对错误
        public static final String IMAGE_DIFF = "image_diff";//封柜图与卸柜图不一致
    }

    //货物丢失-已处理
    public static final class ORDER_MISS_EXCEPTION_DON_RESULT {
        public static final String KEY = "order_miss_exception_don_result";
        public static final String CONFIRMED = "confirmed";//已确认无误
        public static final String WAREHOUSE_RETRIEVED = "warehouse_retrieved";//仓库已找回
        public static final String CONFIRM_LOSS = "confirm_loss";//已确认丢失,协商赔偿
        public static final String NOT_SCOPE = "not_scope";//不在保价理赔范围
    }

    //货物增多-处理中
    public static final class ORDER_SUPERFLUOUS_GOODS_EXCEPTION_RESULT {
        public static final String KEY = "order_superfluous_goods_exception_result";
        public static final String CUSTOMS = "customs";//海关查验扣货
        public static final String WAREHOUSE_ERROR = "warehouse_error";//仓库清点失误
        public static final String WAREHOUSE_MISS = "warehouse_miss";//中国仓库漏装
        public static final String MAINFEST_ERROR = "mainfest_error";//manifest核对错误
        public static final String IMAGE_DIFF = "image_diff";//封柜图与卸柜图不一致
    }

    //货物增多-已处理
    public static final class ORDER_SUPERFLUOUS_GOODS_EXCEPTION_DON_RESULT {
        public static final String KEY = "order_superfluous_goods_exception_don_result";
        public static final String CONFIRMED = "confirmed";//已确认无误
        public static final String WAREHOUSE_RETRIEVED = "warehouse_retrieved";//仓库已找回
        public static final String CONFIRM_LOSS = "confirm_loss";//已确认丢失,协商赔偿
    }

    //货物破损-处理中
    public static final class ORDER_DAMAGE_EXCEPTION_RESULT {
        public static final String KEY = "order_damage_exception_result";
        public static final String CUSTOMS = "customs";//海关查验扣货
        public static final String WAREHOUSE_ERROR = "warehouse_error";//仓库清点失误
        public static final String WAREHOUSE_MISS = "warehouse_miss";//中国仓库漏装
        public static final String MAINFEST_ERROR = "mainfest_error";//manifest核对错误
        public static final String IMAGE_DIFF = "image_diff";//封柜图与卸柜图不一致
    }

    //货物破损-已处理
    public static final class ORDER_DAMAGE_EXCEPTION_DON_RESULT {
        public static final String KEY = "order_damage_exception_don_result";
        public static final String CONFIRMED = "confirmed";//已确认无误
        public static final String WAREHOUSE_RETRIEVED = "warehouse_retrieved";//仓库已找回
        public static final String CONFIRM_LOSS = "confirm_loss";//已确认丢失,协商赔偿
        public static final String NOT_SCOPE = "not_scope";//不在保价理赔范围
    }

    //货物浸水-处理中
    public static final class ORDER_IN_WATER_EXCEPTION_RESULT {
        public static final String KEY = "order_in_water_exception_result";
        public static final String CUSTOMS = "customs";//海关查验扣货
        public static final String WAREHOUSE_ERROR = "warehouse_error";//仓库清点失误
        public static final String WAREHOUSE_MISS = "warehouse_miss";//中国仓库漏装
        public static final String MAINFEST_ERROR = "mainfest_error";//manifest核对错误
        public static final String IMAGE_DIFF = "image_diff";//封柜图与卸柜图不一致
    }

    //货物浸水-已处理
    public static final class ORDER_IN_WATER_EXCEPTION_DON_RESULT {
        public static final String KEY = "order_in_water_exception_don_result";
        public static final String CONFIRMED = "confirmed";//已确认无误
        public static final String WAREHOUSE_RETRIEVED = "warehouse_retrieved";//仓库已找回
        public static final String CONFIRM_LOSS = "confirm_loss";//已确认丢失,协商赔偿
        public static final String NOT_SCOPE = "not_scope";//不在保价理赔范围
    }

    //重货异常
    public static final class ORDER_HEAVY_CARGO_EXCEPTION_RESULT {
        public static final String KEY = "order_heavy_cargo_exception_result";
        public static final String GENERAL_CARGO = "general_cargo";//设为普货
        public static final String PROCESS = "process";//设为已处理
    }

    //泡货异常
    public static final class ORDER_BULKY_CARGO_EXCEPTION_RESULT {
        public static final String KEY = "order_bulky_cargo_exception_result";
        public static final String GENERAL_CARGO = "general_cargo";//设为普货
        public static final String PROCESS = "process";//设为已处理
        public static final String HALF_THROW = "half_throw";//设为半抛
    }

    //单证异常
    public static final class ORDER_DOC_EXCEPTION_RESULT {
        public static final String KEY = "order_doc_exception_result";
        public static final String PASS = "pass";//已通过
        public static final String INCONFORMITY = "inconformity";//不符合重新上传
    }

    //发货人异常
    public static final class ORDER_CONSIGNOR_EXCEPTION_RESULT {
        public static final String KEY = "order_consignor_exception_result";
        public static final String CONFIRM_CHECK = "confirm_check";//已和发货人核对

    }

    //代收贷款异常
    public static final class ORDER_COD_EXCEPTION_RESULT {
        public static final String KEY = "order_cod_exception_result";
        public static final String COD = "cod";//代收货款
        public static final String NOT_COD = "not_cod";//不需要代收货款
    }

    //其它异常
    public static final class ORDER_OTHER_EXCEPTION_RESULT {
        public static final String KEY = "order_other_exception_result";
        public static final String CONFIRM_YES = "confirm_yes";//已跟客户确认可发
        public static final String CONFIRM_NO = "confirm_no";//已跟客户确认该货品不可发(退仓)
    }

    //提货异常
    public static final class ORDER_PICK_UP_EXCEPTION_RESULT {
        public static final String KEY = "order_pick_up_exception_result";
        public static final String FREE = "free";//免费
        public static final String COST_REQUIRED = "cost_required";//需要费用
    }

    public static final class NOT_CUSTOMER_SERVICE_EXCEPTION_RESULT {
        public static final String KEY = "not_customer_service_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String ALLOCATE = "allocate";//分配客户经理
        public static final String NOT = "not";//无需分配客户经理
    }

    public static final class GOODS_ADD_EXCEPTION_RESULT {
        public static final String KEY = "goods_add_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String GOODS_EXISTS = "goods_exists";//系统已有商品,修改入仓信息
        public static final String GOODS_ABSENT = "goods_absent";//系统没有此商品,去新增
    }

    public static final class FEE_EXCEPTION_RESULT {
        public static final String KEY = "fee_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String CONFIRM_SEND = "confirm_send";//已跟客户确认可出
        public static final String CONFIRM_NOT_SEND = "confirm_not_send";//客户不同意发出
    }

    //单询异常
    public static final class LINE_LOOP_EXCEPTION_RESULT {
        public static final String KEY = "line_loop_exception_result";
        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认不可发(退货)
    }

    //清关费未报价异常
    public static final class CUSTOMS_FEE_NOT_QUOTE_EXCEPTION_RESULT {
        public static final String KEY = "customs_fee_not_quote_exception_result";
        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认可发(退货)

        public static final String PROCESSED = "processed";//已处理
    }

    //重量超限异常--需要走工作流审核
    public static final class OVERWEIGHT_EXCEPTION_RESULT {
        public static final String KEY = "overweight_exception_result";
        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认可发(退货)

        public static final String ALLOW_OVER = "allow_over";

        public static final String UPDATE_WEIGHT_LIMIT = "update_weight_limit";

        public static final String NOT_ALLOW_OVER = "not_allow_over";
    }

    //不可出渠道异常
    public static final class NOT_SHIPPING_CHANNEL_EXCEPTION_RESULT {
        public static final String KEY = "not_shipping_channel_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String CONTINUE_CHANNEL = "continue_channel";//继续不可出渠道
        public static final String CHANGE_CHANNEL = "change_channel";//变更出货渠道
    }


    //货物重量异常-处理中
    public static final class GOODS_WEIGHT_EXCEPTION_RESULT {
        public static final String KEY = "goods_weight_exception_result";
        public static final String WEIGHT_REASON = "weight_reason";//重量原因
        public static final String OTHER_REASON = "other_reason";//其它原因
    }

    //货物重量异常-已处理
    public static final class GOODS_WEIGHT_EXCEPTION_DON_RESULT {
        public static final String KEY = "goods_weight_exception_don_result";
        public static final String CUSTOMER_ALL_PAY = "customer_all_pay";//客户全赔
        public static final String CUSTOMER_NOT_PAY = "customer_not_pay";//客户不赔
        public static final String CUSTOMER_PART_PAY = "customer_part_pay";//客户部分赔
    }

    //入仓特性不符异常
    public static final class IN_WAREHOUSING_DIFF_EXCEPTION_RESULT {
        public static final String KEY = "in_warehousing_diff_exception_result";
        public static final String PROCESSING = "processing";//处理中
        public static final String PROCESSED = "processed";//已处理
    }

    //备货异常
    public static final class STOCK_UP_EXCEPTION_RESULT {
        public static final String KEY = "stock_up_exception_result";
        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认可发(退货)
    }

    //渠道异常
    public static final class CHANNEL_EXCEPTION_RESULT {
        public static final String KEY = "channel_exception_result";
        public static final String PENDING = "pending";//待处理
        public static final String SET_SHIPMENT_CHANNEL = "set_shipment_channel";//设置出货渠道
    }

    //渠道包装重量超限异常-需要走工作流审核
    public static final class CHANNEL_PACKAGING_OVERWEIGHT_EXCEPTION_RESULT {
        public static final String KEY = "channel_packaging_overweight_exception_result";
        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认可发(退货)

        public static final String ALLOW_OVER = "allow_over";
        public static final String UPDATE_WEIGHT_LIMIT = "update_weight_limit";
        public static final String NOT_ALLOW_OVER = "not_allow_over";


    }

    //路线重量超限异常处理结果-需要走工作流审核
    public static final class LINE_WEIGHT_EXCEPTION_RESULT {
        public static final String KEY = "line_weight_exception_result";

        public static final String CONFIRMED_SEND = "confirmed_send";//已跟客户确认可发
        public static final String CONFIRMED_RETURN = "confirmed_return";//已跟客户确认可发(退货)
        public static final String ALLOW_OVER = "allow_over";//允许超出
        public static final String CHANGE_LINE_WEIGHT = "change_line_weight";//修改线路重量
        public static final String NOT_ALLOW_OVER = "not_allow_over";//不许超出
    }


}
